Name:		wwwcount
Version:	2.6
Release:	0.11%{?dist}
Summary:	CGI web hit counter

Group:		Applications/Internet
License:	Open share-alike
URL:		http://www.muquit.com/muquit/software/Count/Count.html
Source0:	http://www.muquit.com/muquit/software/Count/src/%{name}%{version}/%{name}%{version}.tar.gz
Source1:	http://www.muquit.com/muquit/software/Count/Count2.6/Count2.6/download/docs/%{name}%{version}docs.tar.gz
Patch0:		wwwcount2.6-autoinstall.patch
Patch1:		wwwcount2.6-dirconfig.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	perl
Requires:	webserver


%description
wwwcount is a CGI program to keep record of the raw hits of a web page. It
generates a GIF image of the number of hits and returns to the browser as an
in-lined image. The program also has a run-time option not to show the digit
images, this way the hits can be kept without displaying it. The hits can be
be monitored without incrementing from a separate page as well. The program
can also can display time and date of any timezone. It has a option to
countdown to a specific date (past or future). Almost all of the features
are run-time options. This program started as a fun-to-play-with CGI program
but due to enormous interest, feature request, input from thousands of you,
it has turned in to the most configurable hit counter on the whole World
Wide Web and it's free. The program runs on almost all Known Unix platforms,
Windows NT, OS/2, VMS and Amiga.


%prep
%setup -q -n %{name}%{version}
%patch0 -p1 -b .autoinstall
%patch1 -p1 -b .dirconfig

%setup -q -T -D -b 1 -n %{name}%{version}
%{__mv} ../%{name}%{version}docs/* docs/

%build
%configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --sharedstatedir=%{_sharedstatedir}
# make all
./build --prefix=/etc/Counter --all

cat > Config.tmpl << EOF
CGIBIN_DIR="$RPM_BUILD_ROOT/%{_var}/www/cgi-bin"
BASE_DIR="$RPM_BUILD_ROOT/%{_sysconfdir}/Counter"
CONFIG_FILE="count.cfg"
CONFIG_DIR="$RPM_BUILD_ROOT/%{_sysconfdir}/Counter/conf"
DIGIT_DIR="$RPM_BUILD_ROOT/%{_sysconfdir}/Counter/digits"
DATA_DIR="$RPM_BUILD_ROOT/%{_sharedstatedir}/Counter/data"
LOG_DIR="$RPM_BUILD_ROOT/%{_var}/log/Counter"
LOG_FILE="Count2_6.log"
RGB_FILE="./rgb.txt"
RGB_DIR="$RPM_BUILD_ROOT/%{_sysconfdir}/Counter"
EOF

pushd docs/prehtml
make all
popd

%install
rm -rf $RPM_BUILD_ROOT
# make install DESTDIR=$RPM_BUILD_ROOT
./build --prefix=/etc/Counter --install
%__install -d $RPM_BUILD_ROOT%{_bindir}
%__install bin/extdgts $RPM_BUILD_ROOT%{_bindir}
%__install bin/mkstrip $RPM_BUILD_ROOT%{_bindir}
%__chmod a-x $RPM_BUILD_ROOT/%{_sysconfdir}/Counter/conf/count.cfg
%__chmod a-x $RPM_BUILD_ROOT/%{_sharedstatedir}/Counter/data/sample.dat
%__chmod a-x $RPM_BUILD_ROOT/%{_sysconfdir}/Counter/digits/*/*.gif
%__chmod a-x $RPM_BUILD_ROOT/%{_sysconfdir}/Counter/rgb.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README TODO VERSION docs
%{_var}/www/cgi-bin/Count.cgi
%attr(-,apache,apache) %dir %{_var}/log/Counter
%{_bindir}/extdgts
%{_bindir}/mkstrip
%config %{_sysconfdir}/Counter
%config %{_sharedstatedir}/Counter

%changelog
* Fri Nov 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 2.6-0.11
- clean up per rpmlint
- add perl Requires

* Thu Dec 25 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 2.6-0.10
- Updated to version 2.6 beta-10

* Thu Jul  9 2009 J. Randall Owens <jrowens@ghiapet.net> - 2.5-1
- Rebuild for Fedora 11

* Sun May 18 2008 J. Randall Owens <jrowens@ghiapet.net> - 2.5-1
- Initial build as RPM

